about summary refs log tree commit diff stats
path: root/bootstrap
diff options
context:
space:
mode:
authorSoispha <soispha@vhack.eu>2023-05-28 22:09:21 +0200
committerSoispha <soispha@vhack.eu>2023-05-28 22:09:21 +0200
commit1f79cb3c844a4e03ad0bf2f8f18518d437caaa27 (patch)
treeebabfb23296e87bd8d2747efad62cb7591ca3871 /bootstrap
parentBuild(flake): Update (diff)
downloadnixos-config-1f79cb3c844a4e03ad0bf2f8f18518d437caaa27.tar.gz
nixos-config-1f79cb3c844a4e03ad0bf2f8f18518d437caaa27.zip
Fix(bootstrap): Quote scripts
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap/activate/activate.sh4
-rwxr-xr-xbootstrap/setup/setup.sh2
2 files changed, 3 insertions, 3 deletions
diff --git a/bootstrap/activate/activate.sh b/bootstrap/activate/activate.sh
index d34a2826..5dc13ea5 100755
--- a/bootstrap/activate/activate.sh
+++ b/bootstrap/activate/activate.sh
@@ -4,12 +4,12 @@
 SHELL_LIBRARY_VERSION="1.1.3" . %SHELL_LIBRARY_PATH
 
 mne() {
-    mount --mkdir --options compress-force=zstd:15,subvol="$1" $DISK_ROOT "$2" || dien "Mounting of $1";
+    mount --mkdir --options compress-force=zstd:15,subvol="$1" "$DISK_ROOT" "$2" || dien "Mounting of $1";
 }
 
 
 available_disks="$(mktmp)";
-lsblk -J | jq '.[] | map(.name) | [foreach .[] as $item ({item: null, index: -1}; {$item, index: (.index + 1)})]' > $available_disks;
+lsblk -J | jq '.[] | map(.name) | [foreach .[] as $item ({item: null, index: -1}; {$item, index: (.index + 1)})]' > "$available_disks";
 
 
 [ "$(jq '.[]' "$available_disks" | wc -l)" -eq 0 ] && die "No disks found"
diff --git a/bootstrap/setup/setup.sh b/bootstrap/setup/setup.sh
index 803123e3..bc171303 100755
--- a/bootstrap/setup/setup.sh
+++ b/bootstrap/setup/setup.sh
@@ -6,7 +6,7 @@ msg "Select a host-config:"
 hosts=$(mktmp);
 host="";
 
-curl https://codeberg.org/soispha/nixos-config/raw/branch/prime/flake/nixosConfigurations/default.nix 2> /dev/null | awk -F '"' '/hosts = /{for (i=2;i<NF;i+=2) {print $i}}' > $hosts;
+curl https://codeberg.org/soispha/nixos-config/raw/branch/prime/flake/nixosConfigurations/default.nix 2> /dev/null | awk -F '"' '/hosts = /{for (i=2;i<NF;i+=2) {print $i}}' > "$hosts";
 
 while ! grep "$host" "$hosts" > /dev/null || [ "$(printf "%s" "$host" | wc -c)" -eq 0 ]; do
     i=1;